Threat Actors Exploiting Log4j vulnerabilities propagated via SolarWinds Serv-U software

The cybersecurity researchers at Microsoft have recently identified a security flaw in SolarWinds Serv-U software that is exploited by the hackers to execute Log4j attacks to compromise the network of their victims.

While monitoring attacks using Log4j, the Microsoft expert, Jonathan Bar discovered this vulnerability which is tracked as “CVE-2021-35247.” However, SolarWinds has already fixed this vulnerability in Serv-U software in 15.3.

Flaw profile

  • Advisory ID: CVE-2021-35247
  • Description: Improper Input Validation Vulnerability in Serv-U.
  • First Published: 01/18/2022
  • Last Updated: 01/18/2022
  • Fixed Version: Serv-U 15.3
  • CVSS Score: CVSS:3.0/AV:N/AC:L/PR:N/UI:R
  • /S:C/C:N/I:L/A:N

This vulnerability is an input validation bug that enables a hacker to create a query and send the query over the network in an unverified form.

The Serv-U web login for LDAP authentication allows the attackers to use the characters that were not properly sanitized. While SolarWinds has already updated the input engine, adding an additional input validation and sanitization routine.

The LDAP servers ignore the invalid characters, which doesn’t come under the further development of the attack could occur. 

And that’s why it is not yet clear whether the threat actors tried to exploit the vulnerability and failed, or whether the attacks successfully continued by exploiting problems in Log4j.

But, since the LDAP servers ignored improper characters, so, till now there is no downstream effect has been detected yet.

You can follow us on LinkedinTwitterFacebook for daily Cybersecurity updates

LEAVE A REPLY

Please enter your comment!
Please enter your name here